[Unit]
Description=libvirt network daemon
Documentation=man:virtnetworkd(8)
Documentation=https://libvirt.org/
BindsTo=virtnetworkd.socket
Wants=virtnetworkd-ro.socket
Wants=virtnetworkd-admin.socket
After=virtnetworkd.socket
After=virtnetworkd-ro.socket
After=virtnetworkd-admin.socket
Conflicts=libvirtd.service
After=libvirtd.service
After=network.target
After=dbus.service
After=apparmor.service

[Service]
Type=notify-reload
Environment=VIRTNETWORKD_ARGS="--timeout 120"
EnvironmentFile=-/etc/conf.d/virtnetworkd
ExecStart=/usr/bin/virtnetworkd $VIRTNETWORKD_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure
KillMode=process

[Install]
WantedBy=multi-user.target
Also=virtnetworkd.socket
Also=virtnetworkd-ro.socket
Also=virtnetworkd-admin.socket
